VERSION 5.00
Object = "{63372FF6-8B6E-437E-93BF-EB0D73AD9914}#1.0#0"; "awc.ocx"
Begin VB.Form Form1 
   Caption         =   "LM76 Thermometer"
   ClientHeight    =   2745
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   3585
   LinkTopic       =   "Form1"
   ScaleHeight     =   2745
   ScaleWidth      =   3585
   StartUpPosition =   3  'Windows Default
   Begin VB.OptionButton F 
      Caption         =   "Fahrenheit"
      Height          =   255
      Left            =   2520
      TabIndex        =   3
      Top             =   2160
      Width           =   1095
   End
   Begin VB.OptionButton C 
      Caption         =   "Centigrade"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   2160
      Width           =   1215
   End
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   1320
      Top             =   2040
   End
   Begin AWC.IC232 I2CA 
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   1920
      Width           =   855
      _ExtentX        =   1508
      _ExtentY        =   450
   End
   Begin VB.Label Temp 
      BeginProperty Font 
         Name            =   "Digiface"
         Size            =   72
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   1815
      Left            =   240
      TabIndex        =   1
      Top             =   240
      Width           =   3255
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub C_Click()
F.Value = False
Timer1_Timer  ' Force update
End Sub

Private Sub F_Click()
C.Value = False
Timer1_Timer ' Force update
End Sub

Private Sub Form_Load()
I2CA.PortOpen = True
I2CA.Address = &H96 ' LM76 address
C.Value = True
End Sub



Private Sub Timer1_Timer()
I2CA.Data = Array() ' no data to send
I2CA.Receive 2
t = I2CA.Data(0) * 256 + I2CA.Data(1)
I2CA.BusStop  ' be sure to let chip read data again
t = t / 8 * 0.0625 ' convert to C
If C.Value = True Then
    Temp.Caption = Format(t, "##.0C")
Else
    Temp.Caption = Format(t * 9 / 5 + 32, "##.0F")
End If
End Sub
